org.openstreetmap.josm.plugins.streetside

## Class StreetsideImage

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage
  - - org.openstreetmap.josm.plugins.streetside.StreetsideImage

- All Implemented Interfaces:
    Comparable<StreetsideAbstractImage>

      public class StreetsideImage
      extends StreetsideAbstractImage

  A StreetsideImage object represents each of the images stored in Streetside.
  See Also:
    `StreetsideSequence`, `StreetsideData`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreetsideImage.Rn` Rn is a Bing Streetside image attribute - currently not used, mapped or supported in the Streetside plugin - left out initially because it's an unrequired complex object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ad`
    `private double` | `al`
    `private String` | `bl`
    `private double` | `la`
    `private double` | `lo`
    `private int` | `ml`
    `private List<String>` | `nbn`
    `private List<String>` | `pbn`
    `private double` | `pi`
    `private StreetsideImage.Rn` | `rn`
    `private double` | `ro`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage

      `cd, he, id, latLon, movingHe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideImage()`
    `StreetsideImage(String id)`
    `StreetsideImage(String id, double la, double lo)`
    `StreetsideImage(String id, LatLon latLon)`
    `StreetsideImage(String id, LatLon latLon, double he)` Main constructor of the class StreetsideImage

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkModified()`
    `int` | `compareTo(StreetsideAbstractImage image)`
    `boolean` | `equals(Object object)`
    `int` | `getAd()`
    `double` | `getAl()`
    `String` | `getBl()`
    `String` | `getId()` Returns the unique identifier of the object.
    `double` | `getLa()`
    `double` | `getLo()`
    `int` | `getMl()`
    `List<String>` | `getNbn()`
    `List<String>` | `getPbn()`
    `double` | `getPi()`
    `StreetsideImage.Rn` | `getRn()`
    `double` | `getRo()`
    `UserProfile` | `getUser()`
    `int` | `hashCode()`
    `void` | `setAd(int ad)`
    `void` | `setAl(double altitude)`
    `void` | `setBl(String blurring)`
    `void` | `setId(String id)`
    `void` | `setLa(double la)`
    `void` | `setLo(double lo)`
    `void` | `setMl(int ml)`
    `void` | `setNbn(List<String> nbn)`
    `void` | `setPbn(List<String> pbn)`
    `void` | `setPi(double pitch)`
    `void` | `setRn(StreetsideImage.Rn rn)`
    `void` | `setRo(double roll)`
    `void` | `stopMoving()` Called when the mouse button is released, meaning that the picture has stopped being dragged, so the temporal values are saved.
    `String` | `toString()`
    `void` | `turn(double ca)` Turns the image direction.

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage

      `getCd, getDate, getDate, getHe, getLatLon, getMovingHe, getMovingLatLon, getNe, getPr, getSequence, getTempHe, getTempLatLon, isModified, isVisible, move, next, previous, setCd, setHe, setLatLon, setNe, setPr, setSequence, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### la

          private double la

    - #### lo

          private double lo

    - #### al

          private double al

    - #### ro

          private double ro

    - #### pi

          private double pi

    - #### bl

          private String bl

    - #### ml

          private int ml

    - #### nbn

          private List<String> nbn

    - #### pbn

          private List<String> pbn

    - #### ad

          private int ad

    - #### rn

          private StreetsideImage.Rn rn

  - ### Constructor Detail

    - #### StreetsideImage

          public StreetsideImage(String id,
                                 LatLon latLon,
                                 double he)

      Main constructor of the class StreetsideImage
      Parameters:
        `id` - The unique identifier of the image.
        `latLon` - The latitude and longitude where it is positioned.
        `he` - The direction of the images in degrees, meaning 0 north.

    - #### StreetsideImage

          public StreetsideImage(String id,
                                 LatLon latLon)

    - #### StreetsideImage

          public StreetsideImage(String id,
                                 double la,
                                 double lo)

    - #### StreetsideImage

          public StreetsideImage(String id)

    - #### StreetsideImage

          public StreetsideImage()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns the unique identifier of the object.
      Overrides:
        `getId` in class `StreetsideAbstractImage`
      Returns:
        A `String` containing the unique identifier of the object.

    - #### getUser

          public UserProfile getUser()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(StreetsideAbstractImage image)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### stopMoving

          public void stopMoving()

      Description copied from class: `StreetsideAbstractImage`
      Called when the mouse button is released, meaning that the picture has stopped being dragged, so the temporal values are saved.
      Overrides:
        `stopMoving` in class `StreetsideAbstractImage`

    - #### checkModified

          private void checkModified()

    - #### turn

          public void turn(double ca)

      Description copied from class: `StreetsideAbstractImage`
      Turns the image direction.
      Overrides:
        `turn` in class `StreetsideAbstractImage`
      Parameters:
        `ca` - The angle the image is moving.

    - #### getAl

          public double getAl()

      Returns:
        the altitude

    - #### setAl

          public void setAl(double altitude)

      Parameters:
        `altitude` - the altitude to set

    - #### getRo

          public double getRo()

      Returns:
        the roll

    - #### setRo

          public void setRo(double roll)

      Parameters:
        `roll` - the roll to set

    - #### getPi

          public double getPi()

      Returns:
        the pi

    - #### setPi

          public void setPi(double pitch)

      Parameters:
        `pitch` - the pi to set

    - #### getBl

          public String getBl()

      Returns:
        the burringl

    - #### setBl

          public void setBl(String blurring)

      Parameters:
        `blurring` - the blurring to set

    - #### getMl

          public int getMl()

      Returns:
        the ml

    - #### setMl

          public void setMl(int ml)

      Parameters:
        `ml` - the ml to set

    - #### getNbn

          public List<String> getNbn()

      Returns:
        the nbn

    - #### setNbn

          public void setNbn(List<String> nbn)

      Parameters:
        `nbn` - the nbn to set

    - #### getPbn

          public List<String> getPbn()

      Returns:
        the pbn

    - #### setPbn

          public void setPbn(List<String> pbn)

      Parameters:
        `pbn` - the pbn to set

    - #### getAd

          public int getAd()

      Returns:
        the ad

    - #### setAd

          public void setAd(int ad)

      Parameters:
        `ad` - the ad to set

    - #### getLa

          public double getLa()

      Returns:
        the la

    - #### setLa

          public void setLa(double la)

      Parameters:
        `la` - the la to set

    - #### getLo

          public double getLo()

      Returns:
        the lo

    - #### setLo

          public void setLo(double lo)

      Parameters:
        `lo` - the lo to set

    - #### setId

          public void setId(String id)

      Overrides:
        `setId` in class `StreetsideAbstractImage`
      Parameters:
        `id` - the id to set

    - #### getRn

          public StreetsideImage.Rn getRn()

      Returns:
        the rn

    - #### setRn

          public void setRn(StreetsideImage.Rn rn)

      Parameters:
        `rn` - the rn to set

JOSM Plugins